WinShopAPI docs
ReferencePromotionsItem promotions

Get an item promotion

Returns one item promotion by `id`. Requires `Permissions.Promotions.View`.

GET
/api/promotions/item-promotions/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
applyBiggerDiscountWithCustomerCard?boolean
barcode?string
Lengthlength <= 20
createdAt?|
Formatdate-time
daysOfWeek?integer
Formatint32
deletedAt?|
Formatdate-time
description?string
Lengthlength <= 200
discountGroupId?integer
Formatint32
discountValidAlways?boolean
hours?integer
Formatint32
id?integer
Formatint32
isDeleted?boolean
isInactiveForEshop?boolean
isPrioritized?boolean
name?string
Lengthlength <= 80
onlyForCompanyTypeRetailCustomer?boolean
onlyForCompanyTypeWholeSaleCustomer?boolean
onlyForPos?boolean
onlyForRegisteredCustomers?boolean
promotionTypeId?integer
Formatint32
soldAll?boolean
useWarehousePrice?boolean
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
filters?array<>
warehouses?array<>
curl -X GET 'https://<your-instance>/api/promotions/item-promotions/0' \  -H 'Authorization: Bearer <access-token>'
{  "applyBiggerDiscountWithCustomerCard": true,  "barcode": "string",  "createdAt": "2019-08-24T14:15:22Z",  "daysOfWeek": 0,  "deletedAt": "2019-08-24T14:15:22Z",  "description": "string",  "discountGroupId": 0,  "discountValidAlways": true,  "hours": 0,  "id": 0,  "isDeleted": true,  "isInactiveForEshop": true,  "isPrioritized": true,  "name": "string",  "onlyForCompanyTypeRetailCustomer": true,  "onlyForCompanyTypeWholeSaleCustomer": true,  "onlyForPos": true,  "onlyForRegisteredCustomers": true,  "promotionTypeId": 0,  "soldAll": true,  "useWarehousePrice": true,  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z",  "filters": [    {      "discountAmount": 0,      "discountPercent": 0,      "id": 0,      "price": 0,      "priceWoVat": 0,      "productId": 0,      "promotionId": 0    }  ],  "warehouses": [    {      "id": 0,      "promotionId": 0,      "warehouseId": 0    }  ]}